Package org.apache.torque.templates.transformer.om

## Enum ForeignKeyAttributeName

- java.lang.Object
- - java.lang.Enum<ForeignKeyAttributeName>
  - - org.apache.torque.templates.transformer.om.ForeignKeyAttributeName

- All Implemented Interfaces:
    `Serializable`, `Comparable<ForeignKeyAttributeName>`, `SourceAttributeName`

      public enum ForeignKeyAttributeName
      extends Enum<ForeignKeyAttributeName>
      implements SourceAttributeName

  Contains the attribute names of the foreign-key source element which are not defined in the Torque schema. These attributes might be created in the transformation.
  Version:
    $Id: ForeignKeyAttributeName.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FOREIGN_KEY_GETTER` | The name of the getter method for the foreign key object.
    `REFERENCES_PRIMARY_KEY` | The name of the attribute containing the information whether the foreign key references the primary key of the foreign table.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the name of the referenced source element.
    `String` | `toString()` |
    `static ForeignKeyAttributeName` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ForeignKeyAttributeName[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOREIGN_KEY_GETTER

          public static final ForeignKeyAttributeName FOREIGN_KEY_GETTER

      The name of the getter method for the foreign key object.

    - #### REFERENCES_PRIMARY_KEY

          public static final ForeignKeyAttributeName REFERENCES_PRIMARY_KEY

      The name of the attribute containing the information whether the foreign key references the primary key of the foreign table.

  - ### Method Detail

    - #### values

          public static ForeignKeyAttributeName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForeignKeyAttributeName c : ForeignKeyAttributeName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForeignKeyAttributeName valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the referenced source element.
      Specified by:
        `getName` in interface `SourceAttributeName`
      Returns:
        the name of the referenced source element.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ForeignKeyAttributeName>`